 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.PastureAreaEntity;
import com.huimv.management.service.PastureAreaService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-24 09:55:37
 */
@RestController
@RequestMapping("management/pasturearea")
@Api(tags = "区域管理")
public class PastureAreaController {
    @Autowired
    private PastureAreaService pastureAreaService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = pastureAreaService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		PastureAreaEntity pastureArea = pastureAreaService.getById(id);

        return R.ok().put("pastureArea", pastureArea);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody PastureAreaEntity pastureArea){
		pastureAreaService.save(pastureArea);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody PastureAreaEntity pastureArea){
		pastureAreaService.updateById(pastureArea);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
        if (pastureAreaService.findCamerInfoByAreaId(ids)){
            return R.error("该区域下有摄像头，请先删除摄像头");
        }
		pastureAreaService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

    /**
     * 查询所有
     */
    @RequestMapping("/findAll")
    public R findAll(Integer formFarmId){
        if (formFarmId == null){
            return R.error("请先选择牧场");
        }
        List list = pastureAreaService.findAll(formFarmId);

        return R.ok().put("all",list);
    }





}
